<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output omit-xml-declaration="yes" indent="yes"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="integrationData">
    <xsl:copy>
      <xsl:attribute name="version">
        <xsl:value-of select="current()/@version" />
      </xsl:attribute>
      <xsl:apply-templates select="job" />
      <xsl:apply-templates select="paymentCommandResults" />
    </xsl:copy>
  </xsl:template>

  <xsl:template match="integrationData/job">
    <xsl:element name="job">
      <xsl:apply-templates select="authority" />
    </xsl:element>
  </xsl:template>

  <xsl:template match="authority">
  <xsl:element name="authority">
    <xsl:element name="authorityId">
      <xsl:value-of select="authorityId" />
    </xsl:element>
    <xsl:element name="authorityType">
      <xsl:value-of select="authorityType" />
    </xsl:element>
    <!--<xsl:element name="accountId">
      <xsl:value-of select="accountId" />
    </xsl:element>-->
    <xsl:element name="dataOriginJobId">
      <xsl:value-of select="dataOriginJobId" />
    </xsl:element>
	</xsl:element>
  </xsl:template>

  <xsl:template match="integrationData/paymentCommandResults/paymentCommandResult">
  <xsl:element name="paymentCommandResults">
  
    <xsl:element name="paymentCommandResult">
      <xsl:element name="extReference">
        <xsl:value-of select="extReference" />
      </xsl:element>
      <!--<xsl:element name="orderId">
        <xsl:value-of select="orderId" />
      </xsl:element>
      <xsl:element name="amountIncVat">
        <xsl:value-of select="amountIncVat" />
      </xsl:element>-->
      <xsl:element name="commandResult">
        <xsl:element name="status">
          <xsl:value-of select="commandResult/status" />
        </xsl:element>
        <xsl:element name="statusMessage">
          <xsl:value-of select="commandResult/statusMessage" />
        </xsl:element>
        <xsl:element name="statusDate">
          <xsl:value-of select="commandResult/statusDate" />
        </xsl:element>
      </xsl:element>
    </xsl:element>
	</xsl:element>
  </xsl:template>
</xsl:stylesheet>